VersionNumber (Gradle API 7.6.3)

Package org.gradle.util

## Class VersionNumber

- java.lang.Object
- - org.gradle.util.VersionNumber

- All Implemented Interfaces:
    `java.lang.Comparable<VersionNumber>`

      @Deprecated
      public class VersionNumber
      extends java.lang.Object
      implements java.lang.Comparable<VersionNumber>

  Deprecated.
  Will be removed in Gradle 9.0.
  This class is only here to maintain binary compatibility with existing plugins.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `VersionNumber.Scheme` | Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static VersionNumber` | `UNKNOWN` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VersionNumber​(int major, int minor, int micro, int patch, java.lang.String qualifier)` | Deprecated.
    `VersionNumber​(int major, int minor, int micro, java.lang.String qualifier)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(VersionNumber other)` | Deprecated.
    `boolean` | `equals​(java.lang.Object other)` | Deprecated.
    `VersionNumber` | `getBaseVersion()` | Deprecated.
    `int` | `getMajor()` | Deprecated.
    `int` | `getMicro()` | Deprecated.
    `int` | `getMinor()` | Deprecated.
    `int` | `getPatch()` | Deprecated.
    `java.lang.String` | `getQualifier()` | Deprecated.
    `int` | `hashCode()` | Deprecated.
    `static VersionNumber` | `parse​(java.lang.String versionString)` | Deprecated.
    `static VersionNumber.Scheme` | `scheme()` | Deprecated. Returns the default MAJOR.MINOR.MICRO-QUALIFIER scheme.
    `java.lang.String` | `toString()` | Deprecated.
    `static VersionNumber` | `version​(int major)` | Deprecated.
    `static VersionNumber` | `version​(int major, int minor)` | Deprecated.
    `static VersionNumber.Scheme` | `withPatchNumber()` | Deprecated. Returns the MAJOR.MINOR.MICRO.PATCH-QUALIFIER scheme.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final VersionNumber UNKNOWN

      Deprecated.

  - ### Constructor Detail

    - #### VersionNumber

          public VersionNumber​(int major,
                               int minor,
                               int micro,
                               @Nullable
                               java.lang.String qualifier)

      Deprecated.

    - #### VersionNumber

          public VersionNumber​(int major,
                               int minor,
                               int micro,
                               int patch,
                               @Nullable
                               java.lang.String qualifier)

      Deprecated.

  - ### Method Detail

    - #### getMajor

          public int getMajor()

      Deprecated.

    - #### getMinor

          public int getMinor()

      Deprecated.

    - #### getMicro

          public int getMicro()

      Deprecated.

    - #### getPatch

          public int getPatch()

      Deprecated.

    - #### getQualifier

          @Nullable
          public java.lang.String getQualifier()

      Deprecated.

    - #### getBaseVersion

          public VersionNumber getBaseVersion()

      Deprecated.

    - #### compareTo

          public int compareTo​(VersionNumber other)

      Deprecated.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<VersionNumber>`

    - #### equals

          public boolean equals​(@Nullable
                                java.lang.Object other)

      Deprecated.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### version

          public static VersionNumber version​(int major)

      Deprecated.

    - #### version

          public static VersionNumber version​(int major,
                                              int minor)

      Deprecated.

    - #### scheme

          public static VersionNumber.Scheme scheme()

      Deprecated.
      Returns the default MAJOR.MINOR.MICRO-QUALIFIER scheme.

    - #### withPatchNumber

          public static VersionNumber.Scheme withPatchNumber()

      Deprecated.
      Returns the MAJOR.MINOR.MICRO.PATCH-QUALIFIER scheme.

    - #### parse

          public static VersionNumber parse​(java.lang.String versionString)

      Deprecated.